uk.gov.hmrc.http

# JsValidationException

###
Related Doc: package http

#### class JsValidationException extends Exception

Linear Supertypes
Exception, Throwable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JsValidationException
2. Exception
3. Throwable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new JsValidationException(method: String, url: String, readingAs: Class[_], errors: String)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def addSuppressed(arg0: Throwable): Unit

   Definition Classes
     Throwable

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### val errors: String

10. #### def fillInStackTrace(): Throwable

    Definition Classes
      Throwable

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### def getCause(): Throwable

    Definition Classes
      Throwable

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def getLocalizedMessage(): String

    Definition Classes
      Throwable

15. #### def getMessage(): String

    Definition Classes
      JsValidationException → Throwable

16. #### def getStackTrace(): Array[StackTraceElement]

    Definition Classes
      Throwable

17. #### final def getSuppressed(): Array[Throwable]

    Definition Classes
      Throwable

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### def initCause(arg0: Throwable): Throwable

    Definition Classes
      Throwable

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### val method: String

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def printStackTrace(arg0: PrintWriter): Unit

    Definition Classes
      Throwable

26. #### def printStackTrace(arg0: PrintStream): Unit

    Definition Classes
      Throwable

27. #### def printStackTrace(): Unit

    Definition Classes
      Throwable

28. #### val readingAs: Class[_]

29. #### def setStackTrace(arg0: Array[StackTraceElement]): Unit

    Definition Classes
      Throwable

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      Throwable → AnyRef → Any

32. #### val url: String

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Exception

### Inherited from Throwable

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped